Package org.eclipse.m2m.atl.dsls.tcs.injector

## Class TCSClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.eclipse.m2m.atl.dsls.tcs.injector.TCSClassLoader

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

    public class TCSClassLoader
    extends java.net.URLClassLoader

### Constructor Summary

Constructors
`TCSClassLoader​(java.net.URL[] urls, java.lang.ClassLoader parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class` `loadClass​(java.lang.String name)`

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCSClassLoader

    public TCSClassLoader​(java.net.URL[] urls,
                          java.lang.ClassLoader parent)

### Method Detail

#### loadClass

    public java.lang.Class loadClass​(java.lang.String name)
                              throws java.lang.ClassNotFoundException

Overrides:
  `loadClass` in class `java.lang.ClassLoader`
Throws:
  `java.lang.ClassNotFoundException`